import { ImVec4 } from "imgui-js";

export function fromConstructor(constr: any):((params: any[]) => any)
{
    return constr as unknown as ((params: any[]) => any)
}

export function vec2col(v: ImVec4): number
{
    return (((v.x * 255) & 0xFF) << 16) +
           (((v.y * 255) & 0xFF) << 8) +
           (((v.z * 255) & 0xFF) << 0);
}
